/**
 * ElevationFile is an abstract base class used to define the interface
 * between  files holding terrain data and the JAVA3D classes that
 * convert the terrain data into geometric primitives.
 *
 * @author  Mark Pendergast
 * @version 1.0 February 2003
 * Known subclasses @see DemFile
*/
public abstract class ElevationFile{
/** data file name */
public String fileName;
/** geographic name or title of the data */
public String quadrangleName = "";
/** minimum elevation in meters */
public int minElevation = 0;
/** maximum elevation in meters */
public int maxElevation = 0;
/** two dimensional array of elevation data in meters, array represents equally spaced data points across the
     groundCoordinates. The first dimension is the row, the second the column*/
public int elevations[][] = null; // array of raw elevation data
/** number of data rows */
public int nRows;
/** number of data columns */
public int nColumns;
/** holds ground coordinates of the 4 corners in arc seconds */
public GroundCoordinates groundCoordinates = new GroundCoordinates();

 public ElevationFile()
 {
 }

}

